org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.shaded

## Class ShadedSerializerAdapter<T>

- java.lang.Object
- - org.apache.tinkerpop.shaded.kryo.Serializer<T>
  - - org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.shaded.ShadedSerializerAdapter<T>

- Direct Known Subclasses:
    StarGraphGryoSerializer

      public class ShadedSerializerAdapter<T>
      extends org.apache.tinkerpop.shaded.kryo.Serializer<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShadedSerializerAdapter(SerializerShim<T> serializer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SerializerShim<T>` | `getSerializerShim()`
    `T` | `read(org.apache.tinkerpop.shaded.kryo.Kryo kryo, org.apache.tinkerpop.shaded.kryo.io.Input input, Class<T> aClass)`
    `void` | `write(org.apache.tinkerpop.shaded.kryo.Kryo kryo, org.apache.tinkerpop.shaded.kryo.io.Output output, T t)`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.kryo.Serializer

      `copy, getAcceptsNull, isImmutable, setAcceptsNull, setGenerics, setImmutable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShadedSerializerAdapter

          public ShadedSerializerAdapter(SerializerShim<T> serializer)

  - ### Method Detail

    - #### write

          public void write(org.apache.tinkerpop.shaded.kryo.Kryo kryo,
                            org.apache.tinkerpop.shaded.kryo.io.Output output,
                            T t)

      Specified by:
        `write` in class `org.apache.tinkerpop.shaded.kryo.Serializer<T>`

    - #### read

          public T read(org.apache.tinkerpop.shaded.kryo.Kryo kryo,
                        org.apache.tinkerpop.shaded.kryo.io.Input input,
                        Class<T> aClass)

      Specified by:
        `read` in class `org.apache.tinkerpop.shaded.kryo.Serializer<T>`

    - #### getSerializerShim

          public SerializerShim<T> getSerializerShim()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.